> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization By Customer Id



## OpenAPI

````yaml /open-api/api-docs.yml get /customer/{customerId}/get
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /customer/{customerId}/get:
    get:
      tags:
        - Customer Api
      summary: Get Organization By Customer Id
      operationId: getOrganizationByCustomerIdUsingGET
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
        - name: customerId
          in: path
          description: customerId
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: >-
            Successful Operation. If customer exist return ERPCustomer else
            return ErrorDataResult( "Customer not found by id 154613")
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ERPCustomer'
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    ERPCustomer:
      title: ERPCustomer
      type: object
      properties:
        id:
          type: string
          example: '154613'
        name:
          type: string
          example: D** Y**
        contactMedium:
          type: array
          items:
            $ref: '#/components/schemas/ContactMedium'
        engagedParty:
          $ref: '#/components/schemas/RelatedParty'
      description: A customer is who buying product and services.
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    ContactMedium:
      title: ContactMedium
      type: object
      properties:
        characteristic:
          $ref: '#/components/schemas/MediumCharacteristic'
      description: Indicates the contact medium that could be used to contact the party.
    RelatedParty:
      title: RelatedParty
      required:
        - name
      type: object
      properties:
        id:
          type: string
          example: '456789'
        name:
          type: string
          description: Name of the related entity.
      description: >-
        Related Entity reference. A related party defines party or party role
        linked to a specific entity.
    MediumCharacteristic:
      title: MediumCharacteristic
      type: object
      properties:
        city:
          type: string
          example: ŞANLIURFA
        country:
          type: string
          example: TÜRKİYE
        phoneNumber:
          type: string
          example: 905XXXXXXXXX
        socialNetworkId:
          type: string
          example: '11111111111'
        street1:
          type: string
          example: adres
      description: >-
        Describes the contact medium characteristics that could be used to
        contact a party (an individual or an organization)

````